Subject: RE: draft text for MPEG-4 Audio/Visual RTP I-D revision

From: Franceschini Guido <[email-masked]>
Date: Tue, 03 Oct 2000 08:20:06 +0200

Change (2) means that significantly different packets are generated in case
of Short Video Headers (H263) between the original proposal and this new
version. Am I right, or is this just an editorial matter ?

Best regards
Guido

> ----------
> From: 	Yoshihiro Kikuchi[SMTP:[email-masked]]
> Sent: 	Tuesday, October 03, 2000 3:36 AM
> To: 	IETF AVT; 4on2andIP-sys
> Cc: 	Yoshihiro Kikuchi
> Subject: 	draft text for MPEG-4 Audio/Visual RTP I-D revision
> 
> <<File: draft-ietf-avt-rtp-mpeg4-es-05-Sep29.txt>>
> Dear experts,
> 
> Attached find please a draft text for the revision of MPEG-4 Audio/Visual
> RTP Internet-Draft.
> 
> The revisions are mostly to reflect suggestions by the AVT chair. Most of
> them are editorial and there are some minor revisions and clarifications.
> The following is a summary of the changes:
> 
> (1) MIME subtype names were changed to "video/MP4V-ES" for video and
> "audio/MP4A-LATM" for audio.
> (2) The use of H.263 RTP payload formats (RFC 2190, 2429) in the short
> video header mode was changed to "MAY" to "SHOULD".
> (3) Clarification of timestamp definition
>   There was a suggestion not to describe the detailed definition of the
> video timestamp in the RTP spec. and change it as a reference to MPEG-4
> visual document, so as to keep consistency with the MPEG-4 visual. A
> description about the RTP timestamp in the RTCP SR packet was added.
> (4) SA/TTSI over LATM
>     A description was added to restrict the LATM usage so as not to
> transmit
>  SA data by LATM.
> (5) Other editorial and wording changes.
> 
> Please let us know if there is comment on the attached draft. The authors
> need to submit it soon as an updated I-D and hopefully final before RFC.
> 
> Best regards,
> Yoshihiro Kikuchi
> and authors of the Internet Draft
> 
> ----
>         Yoshihiro Kikuchi
> 
> E-mail: [email-masked]
> Corporate Research and Development Center
> TOSHIBA Corporation
> TEL: +81 +44 549 2288    FAX: +81 +44 520 1267
> 
> 
>

---

From: "Yoshihiro Kikuchi" <[email-masked]>
Date: Tue, 3 Oct 2000 18:00:30 +0900

Dear Guido,

Excerpt from the new text:

>   When the short video header mode is used, RTP payload format for H.263
<   (e.g., RFC 2190 or RFC 2429) SHOULD be used.

This means that it is RECOMMENDED to use the H.263 RTP payload format for
the short video header which is compatible with H.263 baseline. Regardless
of MAY or SHOULD, there is a possibility that the H.263 RTP payload format
may be used, although the possibility may be higher for SHOULD than MAY. If
you really don't want to use the H.263 RTP payload format in some
circumstances, you don't have to use it. The payload format is signaled
through the MIME type.

(IETF experts, please correct me if my understanding on the definition of
SHOULD is wrong.)

Best regards,
Yoshihiro

----- Original Message -----
From: Franceschini Guido <[email-masked]>
To: IETF AVT <[email-masked]>; 4on2andIP-sys
<[email-masked]>; 'Yoshihiro Kikuchi'
<[email-masked]>
Sent: Tuesday, October 03, 2000 3:20 PM
Subject: RE: draft text for MPEG-4 Audio/Visual RTP I-D revision

---

From: Colin Perkins <[email-masked]>
Date: Wed, 04 Oct 2000 00:44:46 -0400

><   (e.g., RFC 2190 or RFC 2429) SHOULD be used.

You should specify which of RFC 2190 or RFC 2429 is intended.

>(IETF experts, please correct me if my understanding on the definition of

SHOULD = "there may exist valid reasons in particular circumstances to
	 ignore a particular item, but the full implications must be
	 understood and carefully weighed before choosing a different
	 course."

MAY = "an item is truly optional"

[see RFC 2119 for the full wording]

Colin

---

From: "Yoshihiro Kikuchi" <[email-masked]>
Date: Wed, 4 Oct 2000 20:15:19 +0900

Dear Colin, all,

> You should specify which of RFC 2190 or RFC 2429 is intended.
Can I ask suggestions from ITU-T H.263 experts on this selection of RFCs?
Or, if ITU-T does not have any preference, I'm not sure if it is really
necessary to change the text to decide this in "MPEG-4" RTP payload spec.

Best regards,
Yoshihiro

----
        Yoshihiro Kikuchi

---

From: Stephan Wenger <[email-masked]>
Date: Wed, 04 Oct 2000 17:39:19 +0200

Dear Yoshihiro, Group,

To my knowledge the only reason why RFC2190 is not yet OBSOLETE is
that some early H.323 products still use it.  Interoperability with such
products is probably not your main concern.  So I would suggest to select
RFC2429 only.

Stephan

---

From: "Yoshihiro Kikuchi" <[email-masked]>
Date: Thu, 5 Oct 2000 13:36:52 +0900

Dear Stephan, Kris and all,

Thank you very much for your comments.

Seeing a comment from Kris and a suggestion form Stephan about H.263 RTP
format, I think it is reasonable to keep the use of H.263 RTP format as
"SHOULD", specifying only RFC2429 as suggested, and not to add the detailed
timestamp definition of the short video header mode.

    When the short video header mode is used, RTP payload format for H.263
    (RFC 2429) SHOULD be used.

Best regards,
Yoshihiro

----- Original Message -----
From: Stephan Wenger <[email-masked]>
To: Yoshihiro Kikuchi <[email-masked]>
Cc: Colin Perkins <[email-masked]>; IETF AVT <[email-masked]>; Yoshihiro
Kikuchi <[email-masked]>
Sent: Thursday, October 05, 2000 12:39 AM
Subject: Re: draft text for MPEG-4 Audio/Visual RTP I-D revision